Skip to main content
POST
Add message to the ticket

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticketId
string
required

ID of the ticket record to add the message to

Body

application/json
message
string
required

A string, optional in HTML format, which will be posted as message to the ticket

Example:

"<p>We will look into it!</p>"

Response

The message is posted and the tickt with messages is returned

Ticket record with the messages

id
string

ID of the Webhook record, always starting with tic_.

Example:

"tic_abc12345def678"

customerId
string | null

ID of the Customer this ticket belongs to

Example:

"cst_abc12354678"

title
string

Title of the ticket, mostly describing the ticket

Example:

"Invoice issue"

source
string

Source of the ticket. Can be portal, email or chat.

Example:

"portal"

status
string

Current status of the ticket. Can be open or closed.

Example:

"open"

messages
object[]

An array with the messages in this ticket

createdAt
string

Date and time when the ticket was created, written in ATOM format.

Example:

"2024-04-29T21:00:00+02:00"